Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.schema
Class TraverseSchema

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.TraverseSchema

public class TraverseSchema
extends java.lang.Object
implements NamespacesScope.NamespacesHandler

Instances of this class get delegated to Traverse the Schema and to populate the Grammar internal representation by instances of Grammar objects. Traverse a Schema Grammar: As of April 07, 2000 the following is the XML Representation of Schemas and Schema components, Chapter 4 of W3C Working Draft. Content: ((include | import | annotation)* , ((simpleType | complexType | element | group | attribute | attributeGroup | notation) , annotation*)+) Content: (annotation? , simpleType?) Content: (annotation? , (simpleType | complexType)? , (unique | key | keyref)*) Content: (annotation? , (((minExclusive | minInclusive | maxExclusive | maxInclusive | precision | scale | length | minLength | maxLength | encoding | period | duration | enumeration | pattern)* | (element | group | all | choice | sequence | any)*) , ((attribute | attributeGroup)* , anyAttribute?))) Content: (annotation?, (attribute|attributeGroup), anyAttribute?) Content: (annotation?) Content: (annotation? , (element | group | all | choice | sequence | any)*) Content: (annotation? , (element | group | choice | sequence | any)*) Content: (annotation? , (element | group | choice | sequence | any)*) Content: (annotation? , (element | group | choice | sequence | any)*) Content: (annotation?) Content: (annotation? , (selector , field+)) Content: (annotation? , (selector , field+)) Content: (annotation? , (selector , field+)) Content: XPathExprApprox : An XPath expression Content: XPathExprApprox : An XPath expression Content: (annotation?) Content: (appinfo | documentation)* Content: (annotation?) Content: (annotation?) Content: ( annotation? , ( minExclusive | minInclusive | maxExclusive | maxInclusive | precision | scale | length | minLength | maxLength | encoding | period | duration | enumeration | pattern )* ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? ) Content: ( annotation? )

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: TraverseSchema.java,v 1.46 2000/08/28 21:07:36 ericye Exp $
Author:
  Eric Ye, Jeffrey Rodriguez, Andy Clark
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Grammar`

Inner Class Summary
`class` | `TraverseSchema.ComplexTypeInfo`

Field Summary
`static java.lang.String` | `SchemaForSchemaURI`

Constructor Summary
`TraverseSchema(org.w3c.dom.Element root, StringPool stringPool, SchemaGrammar schemaGrammar, GrammarResolver grammarResolver)`
`TraverseSchema(org.w3c.dom.Element root, StringPool stringPool, SchemaGrammar schemaGrammar, GrammarResolver grammarResolver, XMLErrorReporter errorReporter, java.lang.String schemaURL)`

Method Summary
`void` | `doTraverseSchema(org.w3c.dom.Element root, StringPool stringPool, SchemaGrammar schemaGrammar, GrammarResolver grammarResolver)`
`void` | `endNamespaceDeclScope(int prefix)`
`DatatypeValidator` | `getDatatypeValidator(java.lang.String uri, java.lang.String localpart)`
`static void` | `main(java.lang.String[] args)`
`void` | `setGrammarResolver(GrammarResolver grammarResolver)`
`void` | `startNamespaceDeclScope(int prefix, int uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SchemaForSchemaURI

    public static final java.lang.String SchemaForSchemaURI

Constructor Detail

### TraverseSchema

    public TraverseSchema(org.w3c.dom.Element root,
                          StringPool stringPool,
                          SchemaGrammar schemaGrammar,
                          GrammarResolver grammarResolver,
                          XMLErrorReporter errorReporter,
                          java.lang.String schemaURL)
                   throws java.lang.Exception

### TraverseSchema

    public TraverseSchema(org.w3c.dom.Element root,
                          StringPool stringPool,
                          SchemaGrammar schemaGrammar,
                          GrammarResolver grammarResolver)
                   throws java.lang.Exception

Method Detail

### setGrammarResolver

    public void setGrammarResolver(GrammarResolver grammarResolver)

### startNamespaceDeclScope

    public void startNamespaceDeclScope(int prefix,
                                        int uri)

  Specified by:
    startNamespaceDeclScope in interface NamespacesScope.NamespacesHandler

### endNamespaceDeclScope

    public void endNamespaceDeclScope(int prefix)

  Specified by:
    endNamespaceDeclScope in interface NamespacesScope.NamespacesHandler

### doTraverseSchema

    public void doTraverseSchema(org.w3c.dom.Element root,
                                 StringPool stringPool,
                                 SchemaGrammar schemaGrammar,
                                 GrammarResolver grammarResolver)
                          throws java.lang.Exception

### getDatatypeValidator

    public DatatypeValidator getDatatypeValidator(java.lang.String uri,
                                                  java.lang.String localpart)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD